/* http://meyerweb.com/eric/tools/css/reset/
   v5.0.1 | 20191019
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
menu,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
main,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
main,
menu,
nav,
section {
  display: block;
}

/* HTML5 hidden-attribute fix for newer browsers */

*[hidden] {
  display: none;
}

body {
  line-height: 1;
}

menu,
ol,
ul {
  list-style: none;
}

blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

body {
  font-family: "Hiragino Sans", "Noto Sans JP", "Noto Sans CJK JP", sans-serif;
}

.main {
  padding-top: 50px;
  padding-bottom: 80px;
}

.header {
  position: fixed;
  width: 100%;
  top: 0;
  height: 50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #ffffff;
  box-shadow: 1px 1px #f0f0f0;
  z-index: 5;
}

.header__back-btn {
  width: 60px;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.header__back-btn a {
  text-decoration: none;
  color: inherit;
}

.header__menu {
  width: 60px;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.header__title {
  font-size: 16px;
  text-align: center;
}

.header__bland-logo {
  width: calc(100% - 120px);
}

.header__bland-logo img {
  max-width: 100%;
  width: 425px;
  height: 40px;
  -o-object-fit: contain;
     object-fit: contain;
}

.footer {
  display: flex;
  justify-content: space-around;
  align-items: center;
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 80px;
  background-color: #ffffff;
  box-shadow: 0 -1px 15px #666666;
  z-index: 5;
}

.footer__menu {
  position: relative;
  display: block;
  text-decoration: none;
  text-align: center;
  color: #000;
}

.footer__menu.active {
  color: #940c0c;
}

.footer__menu--text {
  font-size: 12px;
}

.footer__icon {
  width: 94%;
  height: 100%;
  padding-bottom: 2px;
  -o-object-fit: contain;
     object-fit: contain;
}

.footer__icon--on {
  display: none;
}

.footer__icon--off {
  display: inline;
}

.footer__menu.active .footer__icon--on {
  display: inline;
}

.footer__menu.active .footer__icon--off {
  display: none;
}

.footer__cart-badge {
  width: 22px;
  height: 22px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  color: #ffffff;
  background-color: #940c0c;
  top: -2px;
  right: -2px;
  border: solid 2px #ffffff;
  border-radius: 50%;
  font-size: 12px;
}

.footer__balloon {
  position: absolute;
  display: inline-block;
  top: calc(-100% - 18px);
  width: 90%;
  padding: 20px 10px;
  font-size: 20px;
  text-align: center;
  background-color: #FFF;
  box-sizing: border-box;
  cursor: pointer;
  color: #8f0101;
  border: 2px solid #929292;
  border-radius: 7px;
  font-weight: bold;
}

.footer__balloon:before {
  content: "";
  position: absolute;
  bottom: -35px;
  left: 75%;
  margin-left: -15px;
  border: 12px solid transparent;
  border-top: 23px solid #FFF;
  z-index: 2;
}

.footer__balloon:after {
  content: "";
  position: absolute;
  bottom: -42px;
  left: 75%;
  margin-left: -17px;
  border: 14px solid transparent;
  border-top: 25px solid #555;
  z-index: 1;
}

.footer__balloon p {
  margin: 0;
  padding: 0;
}

.footer-btn {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  height: 100%;
  color: #ffffff;
  background-color: #8f090c;
  z-index: 5;
  text-decoration: none;
  font-size: 20px;
}

.footer-btn::after {
  content: "keyboard_arrow_right";
  font-family: "Material Icons";
  position: absolute;
  right: 30px;
  font-size: 28px;
}

.layer {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: calc(var(--vh, 1vh) * 100);
  opacity: 0;
  visibility: hidden;
  background-color: #3c3c3c;
  z-index: 100;
}

.drawer {
  position: fixed;
  top: 0;
  right: -100%;
  width: 300px;
  transition: right 300ms;
  z-index: 101;
}

.drawer__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #000000;
  color: #f0f0f0;
  padding: 10px;
}

.drawer__header-text {
  padding-left: 18px;
}

.drawer__menu {
  width: 100%;
  height: "auto";
  display: flex;
  justify-content: flex-start;
  align-items: center;
  background-color: #0f204f;
  border-bottom: solid 1px #f0f0f0;
  color: #f0f0f0;
  text-decoration: none;
  padding: 12px 10px;
}

.drawer__menu-title {
  padding-left: 5px;
}

.drawer__menu--last {
  border-bottom: none;
}

.drawer__detail-area {
  background-color: #f0f0f0;
  padding: 4px 0;
}

.drawer__detail {
  width: auto;
  height: auto;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  font-size: 12px;
  text-decoration: none;
  color: #000000;
  padding: 8px 0 8px 20px;
}

.drawer__detail::before {
  content: "arrow_right";
  font-family: "Material Icons";
  padding-right: 4px;
}

.form-check-input.invalid,
.form-control.invalid,
.cart-date__select input.invalid {
  background-color: #ffffff;
  box-shadow: 0 0 5px 0 #dc3545;
  border-color: #dc3545;
  outline: 0;
}

.form-control,
.cart-date__select input {
  width: calc(100% - 2 * (16px + 0px) - 2px);
  margin: 0 0px;
  padding: 10px 16px;
  border-style: solid;
  border-width: 1px;
  border-color: #D7DAE2;
  border-radius: 5px;
}

.form-control:focus,
.cart-date__select input:focus {
  background-color: #FFFBE8;
  box-shadow: 0 0 5px 0 #07dbb8;
  border-color: #07dbb8;
  outline: 0;
}

.form-control::-moz-placeholder, .cart-date__select input::-moz-placeholder {
  color: #BFC1CD;
}

.form-control:-ms-input-placeholder, .cart-date__select input:-ms-input-placeholder {
  color: #BFC1CD;
}

.form-control::placeholder,
.cart-date__select input::placeholder {
  color: #BFC1CD;
}

.form-control:-webkit-autofill,
.cart-date__select input:-webkit-autofill {
  box-shadow: 0 0 0px 1000px #ffffff inset;
  -webkit-box-shadow: 0 0 0px 1000px #ffffff inset;
}

select.form-control {
  width: calc(100% - 8px);
  color: #0f204f;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: #fff;
}

select.form-control::-ms-expand {
  display: none;
}

.form-select-wrap {
  position: relative;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
}

.form-select-wrap::after {
  content: "arrow_drop_down";
  height: 30px;
  line-height: 30px;
  height: 30px;
  line-height: 30px;
  font-size: 16px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 18px;
  font-family: "Material Icons";
  font-weight: 900;
  pointer-events: none;
}

.form-select-wrap--inline {
  display: inline-block;
}

textarea.form-control {
  resize: none;
}

.cart__clear button,
.cart-area__button button,
.errors__buttons > a {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 250px;
  height: 46px;
  border: none;
  background-color: #8f090c;
  text-decoration: none;
  color: #ffffff;
  font-size: 14px;
  border-radius: 23px;
}

.cart__clear button:after,
.cart-area__button button:after,
.errors__buttons > a:after {
  content: "keyboard_arrow_right";
  font-family: "Material Icons";
  position: absolute;
  display: block;
  right: 8px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 26px;
}

.errors {
  margin: 28px 30px;
  padding: 40px 14px;
  background: #f0f0f0;
  border-radius: 10px;
}

.errors__header {
  padding-bottom: 26px;
}

.errors__code {
  display: inline-block;
  font-size: 30px;
  font-weight: bold;
}

.errors__message {
  display: inline-block;
  font-size: 18px;
  color: #7c7c7c;
  padding-left: 10px;
}

.errors__detail {
  font-size: 12px;
  line-height: 1.4;
}

.errors__buttons {
  padding-top: 35px;
  text-align: center;
}

.errors__buttons > a {
  width: 200px;
  margin: 5px 0;
}

.pagination {
  display: flex;
  justify-content: center;
  border: solid 1px #f2f2f2;
  margin: 20px auto;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  border-radius: 5px;
  overflow: hidden;
}

.page-item {
  display: flex;
  justify-content: center;
  align-items: center;
  background: #ffffff;
  width: 26px;
  height: 30px;
  border-right: solid 1px #f2f2f2;
}

.page-item:last-child {
  border-right: none;
}

.page-item .page-link {
  text-decoration: none;
  color: #07dbb8;
}

.page-item.disabled,
.page-item.active {
  background: #07dbb8;
}

.page-item.disabled .page-link,
.page-item.active .page-link {
  color: #ffffff;
}

.cart-time__message,
.cart-date__message {
  color: #721c24;
  background-color: #f8d7da;
  border-color: #f5c6cb;
}

.cart-time__message,
.cart-date__message {
  margin: 10px 32px;
  padding: 14px 18px;
  border-radius: 8px;
  font-size: 14px;
}

.bounce-object {
  transform: translateX(-50%);
  -webkit-animation: bounce 1.5s infinite;
          animation: bounce 1.5s infinite;
  z-index: 1000;
  transition: opacity 0.5s;
}

@-webkit-keyframes bounce {
  0% {
    transform: translateX(0%) translateY(0);
  }

  50% {
    transform: translateX(0%) translateY(10px);
  }

  100% {
    transform: translateX(0%) translateY(0);
  }
}

@keyframes bounce {
  0% {
    transform: translateX(0%) translateY(0);
  }

  50% {
    transform: translateX(0%) translateY(10px);
  }

  100% {
    transform: translateX(0%) translateY(0);
  }
}

.cart-time__shop-name > span,
.cart__shop-name,
.cart-date__shop-name span {
  display: inline-block;
  font-size: 18px;
  background-color: #353535;
  color: #ffffff;
  padding: 8px 28px;
  border-radius: 18px;
}

.cart-phases {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding: 20px 0;
  background-color: #f0f0f0;
}

.cart-phase {
  width: calc(2 * 15px);
}

.cart-phase--num {
  position: relative;
  width: auto;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  width: calc(2 * 15px);
  height: calc(2 * 15px);
  color: #ffffff;
  background-color: #0f204f;
  border-radius: 50%;
  z-index: 1;
}

.cart-phase--dot > div {
  position: relative;
  width: calc(2 * 5px);
  height: calc(2 * 5px);
  margin-top: calc(15px - 5px);
  margin-left: auto;
  margin-right: auto;
  background-color: #d1d1d1;
  border-radius: 50%;
  z-index: 1;
}

.cart-phase--bar {
  width: 5px;
}

.cart-phase--bar > div {
  position: relative;
  width: calc(5px + 2 * 15px);
  left: -15px;
  height: 2px;
  margin-top: calc(15px - 1px);
  background-color: #b3b3b3;
  z-index: 0;
}

.cart-phase--text {
  position: relative;
  width: 100%;
  height: 18px;
}

.cart-phase--text span {
  position: absolute;
  white-space: nowrap;
  left: 50%;
  font-size: 10px;
  padding-top: 8px;
  transform: translateX(-50%);
}

.shop-check {
  padding: 30px 18px;
}

.shop-check__buttons {
  display: flex;
  justify-content: space-around;
  padding-top: 40px;
}

.shop-check__btn {
  width: auto;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 120px;
  height: 32px;
  border-radius: 16px;
  text-decoration: none;
  color: #fff;
  margin: 0 10px;
}

.shop-check__btn--yes {
  background-color: #8f090c;
}

.shop-check__btn--no {
  background-color: #7c7c7c;
}

.shop-check__shop {
  float: right;
  padding-top: 18px;
}

.cart-area {
  padding: 18px 0;
}

.cart-area__filter {
  text-align: center;
}

.cart-area__filter .active {
  background-color: #CCC;
}

.cart-area__filter_tag {
  padding: 10px;
  border: 1px solid #333;
  display: inline-block;
  border-radius: 5px;
  margin-right: 5px;
  margin-bottom: 20px;
}

.cart-area__method {
  padding: 10px 0;
}

.cart-area__header {
  padding: 0 18px;
  padding-bottom: 20px;
}

.cart-area__button {
  text-align: center;
}

.cart-area__button button {
  width: 222px;
  height: 36px;
  background-color: #353535;
}

.cart-area__row {
  position: relative;
  display: block;
  text-decoration: none;
  color: #7c7c7c;
  padding: 18px 20px;
  border-bottom: solid 2px #f0f0f0;
}

.cart-area__row:first-child {
  border-top: solid 2px #f0f0f0;
}

.cart-area__row::after {
  content: "keyboard_arrow_right";
  font-family: "Material Icons";
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 20px;
  font-size: 26px;
}

.shop-info__row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 18px 20px;
  border-bottom: solid 1px #7c7c7c;
}

.shop-info__info {
  padding-right: 22px;
  flex-grow: 1;
}

.shop-info__header {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding-bottom: 8px;
}

.shop-info__favorite--on {
  display: none;
  color: #ffbb00;
}

.shop-info__favorite--off {
  display: inline-block;
  color: #7c7c7c;
}

.shop-info__favorite.active > .shop-info__favorite--on {
  display: inline-block;
}

.shop-info__favorite.active > .shop-info__favorite--off {
  display: none;
}

.shop-info__name {
  padding: 0 10px;
  font-size: 16px;
  font-weight: bold;
}

.shop-info__address {
  font-size: 12px;
  line-height: 1.4;
}

.shop-info__distance {
  text-align: right;
  padding-top: 10px;
  font-size: 14px;
}

.shop-info__link a {
  position: relative;
  padding: 2px 20px 2px 12px;
  border: solid 1px #7c7c7c;
  text-decoration: none;
  vertical-align: middle;
  color: #7c7c7c;
  border-radius: 10px;
  white-space: nowrap;
}

.shop-info__link a::after {
  content: "keyboard_arrow_right";
  font-family: "Material Icons";
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 4px;
}

.shop-info__select {
  position: relative;
  width: 50px;
}

.shop-info__select button {
  border: none;
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  color: #ffffff;
  background-color: #07dbb8;
  border-radius: 50%;
}

.cart-date {
  padding: 40px 0;
}

.cart-date__message-area {
  padding-bottom: 28px;
}

.cart-date__header {
  background-color: #f2f2f2;
  color: #000000;
  text-align: center;
  font-size: 18px;
  font-weight: bold;
  padding: 12px 0;
}

.cart-date__shop-name {
  padding: 36px 0;
  text-align: center;
}

.cart-date__select {
  padding: 30px;
  text-align: center;
}

.cart-date__select input {
  background-color: #fff;
  width: 200px;
  font-size: 20px;
  text-align: center;
}

.cart-date__input-wrap {
  text-align: center;
}

.cart-date__notion {
  padding-top: 20px;
}

.cart-menus {
  padding-bottom: 40px;
}

.cart-menus__categories {
  display: block;
  width: 100vw;
  overflow-x: scroll;
  white-space: nowrap;
  padding: 10px 0;
  background-color: #dbdde5;
}

.cart-menus__categories-wrap {
  position: absolute;
  transform: translateY(-100%);
  z-index: 4;
}

.cart-menus__category {
  display: inline-block;
  padding: 4px 18px;
  margin: 0 8px;
  background: transparent;
  color: #000000;
}

.cart-menus__category.active {
  background: #0f204f;
  color: #ffffff;
  border-radius: 14px;
}

.cart-menus__indicator {
  position: relative;
  width: 100%;
  height: 3px;
  background-color: #ffffff;
  overflow: hidden;
}

@-webkit-keyframes indicator {
  0% {
    left: -50%;
  }

  100% {
    left: calc(100% + 50%);
  }
}

@keyframes indicator {
  0% {
    left: -50%;
  }

  100% {
    left: calc(100% + 50%);
  }
}

.cart-menus__indicator > div {
  position: absolute;
  display: none;
  width: 50%;
  height: 100%;
  top: 0;
  left: -50%;
  background-color: #07dbb8;
}

.cart-menus__indicator.active > div {
  display: block;
  -webkit-animation-name: indicator;
          animation-name: indicator;
  -webkit-animation-duration: 1000ms;
          animation-duration: 1000ms;
  -webkit-animation-iteration-count: infinite;
          animation-iteration-count: infinite;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

.cart-menus__header {
  background-color: #dbdde5;
  text-align: center;
  padding: 4px 0;
  font-weight: bold;
}

.cart-menus__menus {
  display: none;
}

.cart-menus__menus.active {
  display: block;
}

.cart-menus__menu-list {
  display: flex;
  justify-content: flex-start;
  align-items: stretch;
  flex-wrap: wrap;
}

.cart-menus__menu {
  display: inline-flex;
  flex-direction: column;
  justify-content: space-between;
  text-decoration: none;
  color: inherit;
  width: 32%;
  padding: 5px 0;
  margin-right: 2%;
}

.cart-menus__menu:nth-child(3n) {
  margin-right: 0;
}

.cart-menus__image {
  width: 100%;
  height: 120px;
}

.cart-menus__image img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
}

.cart-menu {
  padding: 20px 0;
}

.cart-menu__info {
  padding: 0 28px;
}

.cart-menu__image {
  width: 100%;
  height: 250px;
  text-align: center;
  padding-bottom: 20px;
}

.cart-menu__image img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
}

.cart-menu__name {
  padding-bottom: 10px;
  border-bottom: solid 2px #f2f2f2;
}

.cart-menu__description {
  white-space: pre-line;
  line-height: 1.5;
  padding: 10px 0;
}

.cart-menu__subject {
  padding: 8px 30px;
  background-color: #f0f0f0;
  color: #7c7c7c;
}

.cart-menu__topping {
  padding: 10px 16px;
}

.cart-menu__detail {
  padding: 5px 0;
}

.cart__counter {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  vertical-align: bottom;
  border-radius: 6px;
  overflow: hidden;
  height: 30px;
}

.cart__decrement,
.cart__increment {
  width: 30px;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #000000;
  color: #ffffff;
  font-size: 20px;
}

.cart__count {
  width: 40px;
  height: calc(100% - 2px);
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #ffffff;
  color: #000000;
  border-top: solid 1px #7c7c7c;
  border-bottom: solid 1px #7c7c7c;
}

.cart__header {
  padding: 16px 0 6px 0;
  text-align: center;
}

.cart__details {
  padding: 10px 30px 20px 30px;
  text-align: center;
}

.cart__empty-msg {
  padding-top: 40px;
}

.cart__detail {
  margin: 10px 0;
  padding: 15px;
  border-radius: 8px;
  background-color: #f0f0f0;
  text-align: left;
}

.cart__info {
  display: flex;
  justify-content: space-between;
  padding-bottom: 10px;
}

.cart__texts {
  width: 60%;
  flex-shrink: 0;
}

.cart__image {
  width: 40%;
  flex-shrink: 0;
}

.cart__image img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
}

.cart__control {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.cart__delete a {
  font-size: 11px;
  padding: 3px 7px 3px 12px;
  text-decoration: none;
  color: #7c7c7c;
  border: solid 1px #7c7c7c;
  border-radius: 10px;
}

.cart__delete a::after {
  content: "close";
  font-family: "Material Icons";
  position: relative;
  top: 1px;
  padding-left: 4px;
}

.cart__clear {
  padding: 80px 20px 50px 20px;
  text-align: left;
}

.cart__clear button {
  width: 160px;
  height: 30px;
  background-color: #c0c0c0;
}

.cart__clear button::after {
  content: "";
}

.cart-option__counter {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  vertical-align: bottom;
  border-radius: 6px;
  overflow: hidden;
  height: 30px;
}

.cart-option__decrement,
.cart-option__increment {
  width: 30px;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #000000;
  color: #ffffff;
  font-size: 20px;
}

.cart-option__count {
  width: 40px;
  height: calc(100% - 2px);
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #ffffff;
  color: #000000;
  border-top: solid 1px #7c7c7c;
  border-bottom: solid 1px #7c7c7c;
}

.cart-option__menus {
  padding: 0 30px 40px 30px;
}

.cart-option__title {
  font-weight: bold;
  padding-bottom: 10px;
}

.cart-option__info {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.cart-option__price {
  padding-right: 10px;
}

.cart-time {
  padding-top: 30px;
}

.cart-time__message-area {
  padding-bottom: 28px;
}

.cart-time__header {
  text-align: center;
  background-color: #f0f0f0;
  padding: 10px 0;
}

.cart-time__shop-name {
  text-align: center;
  padding: 20px 0;
}

.cart-time__date {
  padding: 20px 0;
  text-align: center;
  font-size: 18px;
  font-weight: bold;
}

.cart-time__time {
  text-align: center;
}

.cart-time__time select {
  font-size: 20px;
  padding: 4px 40px;
}

.cart-time__notion {
  padding-top: 20px;
}

.cart-confirm__link a,
.cart-confirm__date-link,
.cart-confirm__shop-link {
  position: relative;
  display: inline-flex;
  text-decoration: none;
  color: #ffffff;
  background-color: #7c7c7c;
  white-space: nowrap;
  font-size: 16px;
  border-radius: 16px;
  flex-shrink: 0;
  height: 30px;
  width: 100px;
  padding-right: 6px;
  justify-content: center;
  align-items: center;
}

.cart-confirm__link a::after,
.cart-confirm__date-link::after,
.cart-confirm__shop-link::after {
  content: "keyboard_arrow_right";
  font-family: "Material Icons";
  position: absolute;
  font-size: 24px;
  top: 50%;
  right: 0px;
  transform: translateY(-50%);
}

.cart-confirm__notice {
  color: #f00;
  text-align: center;
  padding: 10px 0;
}

.cart-confirm__info {
  background-color: #f0f0f0;
  margin: 0 20px;
  padding: 10px 20px;
  border-radius: 10px;
}

.cart-confirm__notion-text {
  line-height: 1.4;
  word-break: break-word;
  padding-bottom: 10px;
}

.cart-confirm__shop-title {
  font-size: 14px;
}

.cart-confirm__shop-info {
  display: flex;
  justify-content: space-between;
  padding: 10px 0;
}

.cart-confirm__shop-name {
  font-size: 16px;
  font-weight: bold;
  white-space: nowrap;
}

.cart-confirm__shop-addr {
  font-size: 14px;
  padding-top: 4px;
}

.cart-confirm__date-title {
  font-size: 14px;
  padding-bottom: 8px;
}

.cart-confirm__date-info {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.cart-confirm__date-time {
  font-size: 16px;
  font-weight: bold;
  white-space: nowrap;
}

.cart-confirm__items {
  padding: 18px 20px;
}

.cart-confirm__item {
  padding: 10px 0;
  border-bottom: solid 2px #f2f2f2;
}

.cart-confirm__items-header {
  display: flex;
  padding: 10px 0;
  border-bottom: solid 2px #f2f2f2;
}

.cart-confirm__items-header > div:first-child {
  text-align: left;
  width: 48%;
}

.cart-confirm__items-header > div:nth-child(2) {
  text-align: center;
  width: 14%;
}

.cart-confirm__items-header > div:last-child {
  text-align: right;
  width: 38%;
}

.cart-confirm__item-info {
  display: flex;
  padding-bottom: 10px;
}

.cart-confirm__item-info > div:first-child {
  text-align: left;
  width: 48%;
}

.cart-confirm__item-info > div:nth-child(2) {
  text-align: center;
  width: 14%;
}

.cart-confirm__item-info > div:last-child {
  text-align: right;
  width: 38%;
}

.cart-confirm__link {
  text-align: right;
  padding: 14px;
}

.cart-confirm__total {
  display: flex;
  background-color: #f0f0f0;
  padding: 18px 20px;
  font-weight: bold;
}

.cart-confirm__total > div:first-child {
  text-align: left;
  width: 48%;
}

.cart-confirm__total > div:nth-child(2) {
  text-align: center;
  width: 14%;
}

.cart-confirm__total > div:last-child {
  text-align: right;
  width: 38%;
}

.cart-confirm__payment {
  padding: 14px 20px;
}

.cart-confirm__payment-title {
  padding-bottom: 14px;
}

.cart-confirm__payment-check {
  padding-bottom: 20px;
}

.cart-confirm__point-register {
  padding: 10px 34px 10px 0;
  text-align: right;
}

.cart-confirm__point-register a {
  display: inline-block;
  padding: 8px 20px;
  border: solid 1px #353535;
  border-radius: 20px;
  text-decoration: none;
  background-color: #d1d1d1;
  color: #000;
}

.value-design {
  padding: 5px 20px;
}

.value-design__title {
  padding-bottom: 4px;
}

.value-design__has {
  display: flex;
  padding-bottom: 4px;
}

.value-design__has-text {
  padding-right: 5px;
}

.value-design__has-point strong {
  color: #4444ff;
}

.cart-complete__main-texts {
  font-size: 16px;
  text-align: center;
  line-height: 1.5;
  padding: 15px 0;
}

.cart-complete__sub-texts {
  font-size: 12px;
  text-align: center;
  line-height: 1.5;
  padding-bottom: 24px;
}

.cart-complete__order-info {
  background-color: #f0f0f0;
  padding: 14px 18px;
  margin: 0 18px;
  border-radius: 10px;
}

.cart-complete__row {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding: 10px 0;
}

.cart-complete__subject {
  width: 100px;
  flex-shrink: 0;
}

.cart-complete__value {
  font-weight: bold;
  line-height: 1.4;
}

.cart-complete__shop-link {
  position: relative;
  color: #7c7c7c;
  border: solid 1px #7c7c7c;
  background-color: #ffffff;
  border-radius: 12px;
  font-size: 12px;
  padding: 2px 20px 2px 10px;
  text-decoration: none;
  white-space: nowrap;
}

.cart-complete__shop-link::after {
  content: "keyboard_arrow_right";
  font-family: "Material Icons";
  position: absolute;
  font-size: 18px;
  top: 50%;
  right: 0px;
  transform: translateY(-50%);
}

.cart-footer {
  position: fixed;
  width: 100vw;
  height: calc(60px + 60px);
  bottom: 80px;
  display: block;
  z-index: 10;
}

.cart-footer ~ .main {
  padding-bottom: calc(80px + calc(60px + 60px));
}

.cart-footer--nodetail {
  height: 60px;
}

.cart-footer__info {
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
  height: calc(60px - 16px);
  background-color: #f0f0f0;
  padding-bottom: 16px;
  padding-right: 20px;
}

.cart-footer__amount {
  padding-right: 18px;
}

.cart-footer .footer-btn {
  height: 60px;
}

.confirm-footer {
  position: fixed;
  width: 100vw;
  height: 60px;
  bottom: 80px;
  z-index: 10;
  display: flex;
  justify-content: space-around;
  align-items: center;
  background-color: #f0f0f0;
  padding-right: 20px;
}

.confirm-footer ~ .main {
  padding-bottom: calc(80px + 60px);
}

.confirm-footer__link {
  display: inline-block;
  text-decoration: none;
  color: #ffffff;
  background-color: #8f090c;
  padding: 6px 24px;
  border-radius: 15px;
}

.confirm-footer .footer-btn {
  height: 60px;
}

.date-footer,
.time-footer {
  position: fixed;
  width: 100vw;
  height: 60px;
  bottom: 80px;
}

.date-footer ~ .main,
.time-footer ~ .main {
  padding-bottom: calc(80px + 60px);
}

.menu-footer {
  position: fixed;
  width: 100vw;
  height: calc(2 * 75px);
  bottom: 80px;
  display: block;
}

.menu-footer__counter {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  vertical-align: bottom;
  border-radius: 6px;
  overflow: hidden;
  height: 30px;
}

.menu-footer__decrement,
.menu-footer__increment {
  width: 30px;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #000000;
  color: #ffffff;
  font-size: 20px;
}

.menu-footer__count {
  width: 40px;
  height: calc(100% - 2px);
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #ffffff;
  color: #000000;
  border-top: solid 1px #7c7c7c;
  border-bottom: solid 1px #7c7c7c;
}

.menu-footer ~ .main {
  padding-bottom: calc(80px + calc(2 * 75px));
}

.menu-footer__info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 75px;
  background-color: #f0f0f0;
  padding: 0 20px;
}

.menu-footer__price strong {
  font-size: 20px;
}

.menu-footer__unit {
  font-size: 20px;
}

.menu-footer__tax {
  font-size: 12px;
}

.menu-footer__amount > span {
  font-size: 12px;
}

.menu-footer .footer-btn {
  height: 60px;
}

.page-up {
  width: 135px;
  height: 28px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  bottom: calc(80px + 10px);
  right: 10px;
  background-color: #7c7c7c;
  color: #ffffff;
  border-radius: 20px;
  font-size: 12px;
}

